summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Arms2020-03-17 10:11:22 +1100
committerLuke Arms2020-03-17 10:11:22 +1100
commit0ddbe727feac73352ce2292a0199776542d97c2c (patch)
treed857a2f1e391b21f8c35cf50f72694131ffd41df
parentccee34ef695acd08f03156d8f6a593b24b6d4f50 (diff)
downloadaur-0ddbe727feac73352ce2292a0199776542d97c2c.tar.gz
Use legacy_gtk2 branch
-rw-r--r--PKGBUILD30
1 files changed, 15 insertions, 15 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 90a1e09ac62..ae1d94c76a7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,9 @@
# Maintainer: dustball
+# Contributor: Luke Arms <luke@arms.to>
pkgname=quicktile-git
-pkgver=20170907
-pkgrel=2
+pkgver=20200209
+pkgrel=1
url="https://github.com/ssokolow/quicktile"
pkgdesc="Lightweight standalone alternative to Compiz Grid plugin"
arch=('any')
@@ -14,22 +15,21 @@ makedepends=('git')
_gitroot='git://github.com/ssokolow/quicktile.git'
_gitname='quicktile'
-build()
-{
- cd $srcdir
+build() {
+ cd "$srcdir"
- msg "Cloning quicktile from GIT"
- if [ -d $_gitname ]; then
- cd $_gitname
- git pull || return 1
+ msg "Cloning QuickTile from GIT"
+ if [ -d "$_gitname" ]; then
+ cd "$_gitname"
+ git fetch &&
+ git checkout legacy_gtk2 &&
+ git pull || return 1
else
- git clone $_gitroot $_gitname || return 1
- cd $_gitname
+ git clone -b legacy_gtk2 "$_gitroot" "$_gitname" || return 1
fi
}
-package()
-{
- cd ${srcdir}/${_gitname}
- python2 setup.py install --root="${pkgdir}" --optimize=1
+package() {
+ cd "$srcdir/$_gitname"
+ python2 setup.py install --root="$pkgdir" --optimize=1
}